#pragma once
#include "unit.h"



class Collectible : public Unit
{

  public:

    GR::u32                   m_dwValue;

    Birdie2::eItems           m_Item;


    Collectible();


    virtual void              Update( Level& Level, const GR::f32 fElapsedTime );

    virtual void              ProcessEvent( Level& Level, const eUnitEvent& Event );

    virtual void              OnLoad( Level& Level );

};
